/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Subject } from 'rxjs';
import { AdaptiveSettings } from './models/adaptive-settings';
import * as i0 from "@angular/core";
/**
 * A service that lets you change the current adaptive settings dynamically. Use the public `notify` method to update the settings.
 */
export declare class AdaptiveSettingsService {
    /**
     * @hidden
     */
    readonly changes: Subject<AdaptiveSettings>;
    /**
     * Notifies subscribers that the adaptive settings have changed.
     *
     * @param adaptiveSettings - (Optional) A new value for the adaptive settings token.
     */
    notify(adaptiveSettings?: AdaptiveSettings): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdaptiveSettingsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AdaptiveSettingsService>;
}
