/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * * Represents the adaptive settings for Kendo UI for Angular components.
 *
 * Allows customization of adaptive breakpoints to ensure optimal rendering
 * across different screen resolutions and device types.
 */
export interface AdaptiveSettings {
    /**
     * Sets the screen width in pixels up to which the component renders a full-screen modal.
     *
     * @default 500
     */
    small?: number;
    /**
     * Sets the screen width in pixels up to which the component renders a docked-to-bottom modal. Uses the `small` adaptive breakpoint as a lower boundary.
     *
     * @default 768
     */
    medium?: number;
}
