/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef } from "@angular/core";
import { ScrollDirection } from "./scroll-direction";
/**
 * Represents additional configuration options for the autoScroll feature of the DragTarget.
 */
export interface AutoScrollOptions {
    /**
     * Sets the element for boundary detection. Used to calculate the autoScroll velocity.
     */
    boundaryElementRef?: ElementRef;
    /**
     * Sets the direction for the autoScroll feature.
     */
    direction?: ScrollDirection;
    /**
     * Enables or disables the autoScroll feature.
     */
    enabled?: boolean;
}
