/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef, ViewContainerRef } from "@angular/core";
/**
 * Represents additional configuration options for the hint element of the DragTarget and DragTargetContainer directives.
 */
export interface HintSettings {
    /**
     * Renders the given template as a hint for the current drag target.
     */
    hintTemplate?: TemplateRef<any>;
    /**
     * Sets the CSS classes for the hint host element when using the default hint. Supports values accepted by [`ngClass`](link:site.data.urls.angular['ngclassapi']).
     */
    hintClass?: any;
    /**
     * Controls the hint container. By default, the hint is appended to the document body.
     */
    appendTo?: ViewContainerRef;
}
