/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Renderer2 } from "@angular/core";
import { DragAndDropAction, DragTarget } from "@progress/kendo-draggable-common";
/**
 * @hidden
 */
export declare const getAction: (event: PointerEvent | MouseEvent | TouchEvent | Event, draggable: DragTarget) => DragAndDropAction;
/**
 * @hidden
 */
export declare const dragTargetTransition = "transform .3s ease-in-out";
/**
 * @hidden
 */
export declare const isPresent: (value: any) => boolean;
/**
 * @hidden
 */
export declare function closestBySelector(element: any, selector: string): any;
/**
 * @hidden
 */
export declare const intersect: (element: HTMLElement, candidates: HTMLElement[]) => HTMLElement | null;
/**
 * @hidden
 */
export declare const setElementStyles: (renderer: Renderer2, elem: HTMLElement, styles: object) => void;
/**
 * @hidden
 */
export declare const noop: () => void;
