/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { InjectionToken } from '@angular/core';
/**
 * A token that specifies the `AdaptiveSettings` for Kendo UI for Angular components.
 *
 * @example
 * ```ts
 * import { NgModule } from '@angular/core';
 *
 * @NgModule({
 *   ...,
 *   providers: [{ provide: ADAPTIVE_SETTINGS, useValue: { small: 400, medium: 600 } }]
 * })
 * export class AppModule {}
 * ```
 */
export const ADAPTIVE_SETTINGS = new InjectionToken('Kendo UI Adaptive-Settings token');
