/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./drag-and-drop/dragtarget.directive";
import * as i2 from "./drag-and-drop/draghandle.directive";
import * as i3 from "./drag-and-drop/droptarget.directive";
import * as i4 from "./drag-and-drop/dragtarget-container.directive";
import * as i5 from "./drag-and-drop/droptarget-container.directive";
import * as i6 from "./drag-and-drop/hint.component";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmodules'])
 * definition for the Utils components.
 *
 * @example
 * ```ts
 * import { UtilsModule } from '@progress/kendo-angular-utils';
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 * import { NgModule } from '@angular/core';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, UtilsModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class UtilsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<UtilsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<UtilsModule, never, [typeof i1.DragTargetDirective, typeof i2.DragHandleDirective, typeof i3.DropTargetDirective, typeof i4.DragTargetContainerDirective, typeof i5.DropTargetContainerDirective, typeof i6.HintComponent], [typeof i1.DragTargetDirective, typeof i2.DragHandleDirective, typeof i3.DropTargetDirective, typeof i4.DragTargetContainerDirective, typeof i5.DropTargetContainerDirective, typeof i6.HintComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<UtilsModule>;
}
